Install multiple PHP versions on cPanel

[Total: 5    Average: 5/5]

In this article, we are going to install multiple PHP versions on cPanel using ntPHPselector plugin. ntPHPselector plugin allows user to select preferred PHP version per directory on the same domain

Note :
ntPHPselector plugin require SuPHP on the system; it will not work with any other PHP handlers for now.
ntPHPselector plugin is not yet CentOS 7 compatible due to library conflict,

To install ntPHPselector

cd /usr/local/src
wget -N https://nixtree.com/download/free/ntphpselector_manage.sh
sh ntphpselector_manage.sh install

To recompile php in ntPHPselector

sh ntphpselector_manage.sh recompile 

— option 2 for 5.2
3 for 5.3
4 for 5.4
5 for 5.5

eg: recompile php5.2

sh ntphpselector_manage.sh recompile 2

For uninstalling the plugin:

sh ntphpselector_manage.sh uninstall

If you need any help to install ntphpselector then contact us at sales@24x7serversolutions.com then we will install it for you